#!/usr/bin/awk
BEGIN {printf "<ul lang=en>\n"}
/^\(title$/ {in_title = 1; t = ""}
/^\)title$/ {in_title = 0}
/^Ahref CDATA / {url = $3}
/^-/ {if (in_title) t = t substr($0, 2)}
/^\)entry$/ {gsub("\\n", " ", t); printf "<li><a href=\"%s\">%s</a>\n", url, t}
END {printf "</ul>\n"}
